import request from '@/utils/request'

// Excel表格导入
export function authImportExcel(data) {
  return request({
    url: '/auth/import/excel',
    method: 'post',
    data,
    headers: { 'Content-Type': 'multipart/form-data;charset=UTF-8' }
  })
}

// Excel表格导出
export function authExportExcel(params) {
  return request({
    url: '/auth/export/excel',
    method: 'get',
    params
  })
}

// 授权列表
export function fecthAuthList(params) {
  return request({
    url: '/auth/list',
    method: 'get',
    params
  })
}

// 添加品牌授权
export function saveBrandAuth(data) {
  return request({
    url: '/auth/save',
    method: 'post',
    data
  })
}

// 获取授权信息
export function getAuthFormData(params) {
  return request({
    url: '/auth/form/data',
    method: 'get',
    params
  })
}

// 修改授权状态
export function changeAuthStatus(data) {
  return request({
    url: '/auth/update/status',
    method: 'post',
    data
  })
}

// 删除授权
export function removeAuth(data) {
  return request({
    url: '/auth/delete',
    method: 'post',
    data
  })
}

// 审核状态
export function auditAuth(data) {
  return request({
    url: '/auth/audit',
    method: 'post',
    data
  })
}

// 机构用户列表
export function getAuthUserList(params) {
  return request({
    url: '/club/user/list',
    method: 'get',
    params
  })
}

// 机构生成邀请码
export function makeGenerate(data) {
  return request({
    url: '/club/user/code/generate',
    method: 'post',
    data
  })
}

// 更新邀请码
export function updateGenerate(data) {
  return request({
    url: '/club/user/code/update',
    method: 'post',
    data
  })
}

// 解绑邀请码
export function unbindGenerate(data) {
  return request({
    url: '/club/user/code/unbind',
    method: 'post',
    data
  })
}

// 获取用户反馈信息列表
export function getFeedbackList(params) {
  return request({
    url: '/shop/feedback/list',
    method: 'get',
    params
  })
}

// 获取反馈信息
export function getFeedbackDetail(params) {
  return request({
    url: '/shop/feedback/form/data',
    method: 'get',
    params
  })
}

// 处理反馈信息
export function handleFeedback(data) {
  return request({
    url: '/shop/feedback/handle',
    method: 'post',
    data
  })
}

// 一键下载授权牌 / 二维码
export function exportAd(params) {
  return request({
    url: '/download/shop/image',
    method: 'get',
    params
  })
}
